Package be.fgov.ehealth.genericinsurability.protocol.v1

# Class GetInsurabilityAsFlatResponse

java.lang.Object
be.fgov.ehealth.commons.protocol.v1.ResponseType
be.fgov.ehealth.genericinsurability.protocol.v1.GetInsurabilityAsFlatResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:35+02:00", comments="JAXB RI v4.0.5") public class GetInsurabilityAsFlatResponse extends ResponseType implements Serializable

Java class for GetInsurabilityAsFlatResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetInsurabilityAsFlatResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}ResponseType">
           <sequence>
             <element name="CommonOutput" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}CommonOutputType"/>
             <element name="RecordCommonOutput" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}RecordCommonOutputType"/>
             <element name="Response" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetInsurabilityAsFlatResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CommonOutputType`
  `getCommonOutput()`
  Gets the value of the commonOutput property.
  `RecordCommonOutputType`
  `getRecordCommonOutput()`
  Gets the value of the recordCommonOutput property.
  `String`
  `getResponse()`
  Gets the value of the response property.
  `void`
  `setCommonOutput(CommonOutputType value)`
  Sets the value of the commonOutput property.
  `void`
  `setRecordCommonOutput(RecordCommonOutputType value)`
  Sets the value of the recordCommonOutput property.
  `void`
  `setResponse(String value)`
  Sets the value of the response property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v1.ResponseType

  `getId, getStatus, setId, setStatus`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetInsurabilityAsFlatResponse

    public GetInsurabilityAsFlatResponse()

- ## Method Details

  - ### getCommonOutput

    public CommonOutputType getCommonOutput()
    Gets the value of the commonOutput property.
    Returns:
      possible object is `CommonOutputType`

  - ### setCommonOutput

    public void setCommonOutput(CommonOutputType value)
    Sets the value of the commonOutput property.
    Parameters:
      `value` - allowed object is `CommonOutputType`

  - ### getRecordCommonOutput

    public RecordCommonOutputType getRecordCommonOutput()
    Gets the value of the recordCommonOutput property.
    Returns:
      possible object is `RecordCommonOutputType`

  - ### setRecordCommonOutput

    public void setRecordCommonOutput(RecordCommonOutputType value)
    Sets the value of the recordCommonOutput property.
    Parameters:
      `value` - allowed object is `RecordCommonOutputType`

  - ### getResponse

    public String getResponse()
    Gets the value of the response property.
    Returns:
      possible object is `String`

  - ### setResponse

    public void setResponse(String value)
    Sets the value of the response property.
    Parameters:
      `value` - allowed object is `String`